<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<link rel="stylesheet" type="text/css" href="simon.css">
	<title>Simon</title>
</head>
<body>
	<h1>Jeux Simon</h1>
	<main>
		<button id="jouer">Commencer</button><button id="lance">Commencer</button><button id="action">Commencer</button>
		<button id="facile">Facile</button><button id="moyen">Moyen</button><button id="diff">Difficile</button>

		<section id="a" class="easy">
			<input class="b1" id="vert" type="button"></input><input class="b2" id="rouge" type="button"></input>
			<input class="b3" id="jaune" type="button"></input><input class="b4" id="bleu" type="button"></input>
		</section>

		<output type="text" name="phrase" id="phrase"></output>

		<section id="b" class="medium">
			<input class="b5" id="vert1" type="button"><input class="b6" id="rouge1" type="button"><input class="b7" id="jaune1" type="button">
			<input class="b8" id="bleu1" type="button"><input class="b9" id="orange1" type="button"><input class="b10" id="rose1" type="button">		
		</section>

		<section id="c" class="hard">
			<input class="b11" id="vert2" type="button"><input class="b12" id="rouge2" type="button"><input class="b13" id="jaune2" type="button">
			<input class="b14" id="bleu2" type="button"><input class="b15" id="orange2" type="button"><input class="b16" id="rose2" type="button">
			<input class="b17" id="bleuVert2" type="button"><input class="b18" id="marron2" type="button"><input class="b19" id="violet2" type="button">
		</section>

	</main>
	<script type="text/javascript">

		var boutons = [document.getElementById("vert"), document.getElementById("rouge"), document.getElementById("jaune"), document.getElementById("bleu")];
		var sequence = [];

		// 0 : initialisation
		for (var i = 0; i < 1; i++) {
			sequence.push(boutons[Math.floor(Math.random() * 1)]);
		}

	document.getElementById("jouer").addEventListener("click", start);
	document.getElementById("phrase").innerHTML = "Mémorisez la séquence";
	function start () {
			
		// 1 : montrer au joueur les boutons choisis
		var courant = 0;

		function allumer() {
			document.getElementById("phrase").innerHTML = "";
			document.getElementById("phrase").innerHTML = "Mémorisez la séquence";
			function eteindre(bouton_a_eteindre) {
				bouton_a_eteindre.classList.remove('actif');
			}

			// allumer le bouton
			sequence[courant].classList.add('actif');

			// différer l'extinction de 600ms
			setTimeout(eteindre, 600, sequence[courant]);

			// différer l'allumage du bouton suivant dans 700ms
			courant++;
			if (courant < sequence.length) {
				setTimeout(allumer, 700);
			} else {
				// quand la séquence est finie, on laisse le joueur jouer
				tourJoueur();
			}
		}

		function tourJoueur() {

			document.getElementById("phrase").innerHTML = "A vous !";
			courant = 0;

			// au bout de cinq secondes, gameover
			var to = setTimeout(gameover, 5000);

			// écoutons les clics
			for (var i = 0; i < boutons.length; i++) {
				boutons[i].addEventListener("click", verif);
			}

			function gameover() {
				// ne pas oublier de retirer les écouteurs de clic
				document.getElementById("phrase").innerHTML = "Temps écoulé";
				for (var i = 0; i < boutons.length; i++) {
					boutons[i].removeEventListener("click", verif);
				}
			}

			// comparer avec la séquence
			function verif() {
				// dans tous les cas, on retire le timeout qui lance le gameover à 5s
				clearTimeout(to);
				// this désigne le bouton cliqué
				if (this != sequence[courant]) {
					// perdu
					sequence = [];
					courant = 0;
					document.getElementById("phrase").innerHTML = "Perdu !";
					// on retire les listeners
					for (var i = 0; i < boutons.length; i++) {
						boutons[i].removeEventListener("click", verif);
					}
				} else {
					// bon bouton
					courant++;
					if (courant < sequence.length) {
						// s'il reste des boutons à cliquer, c'est tout ce qu'il y a à faire, les boutons continuent d'écouter, le tour du joueur continue
						to = setTimeout(gameover, 5000);
					} else {
						// round gagné
						// on ajoute un bouton à la séquence
						sequence.push(boutons[Math.floor(Math.random() * 4)]);
						courant = 0;
						setTimeout(allumer, 300);
						// on retire les listeners, c'est à l'ordinateur de montrer la séquence
						for (var i = 0; i < boutons.length; i++) {
							boutons[i].removeEventListener("click", verif);
						}
					}
				}
			}
		}
		allumer();
	}

	var boutons1 = [document.getElementById("vert1"), document.getElementById("rouge1"), document.getElementById("jaune1"), document.getElementById("bleu1"),document.getElementById("orange1"), document.getElementById("rose1")];
		var sequence1 = [];

	for (var i = 0; i < 1; i++) {
		sequence1.push(boutons1[Math.floor(Math.random() * 1)]);
	}

	document.getElementById("lance").addEventListener("click", go)
	document.getElementById("phrase").innerHTML = "Mémorisez la séquence";
	function go () {
		var courant = 0;
		function allumer() {
			document.getElementById("phrase").innerHTML = "Mémorisez la séquence";
			function eteindre(bouton_a_eteindre) {
				bouton_a_eteindre.classList.remove('actif');
			}

			// allumer le bouton
			sequence1[courant].classList.add('actif');

			// différer l'extinction de 600ms
			setTimeout(eteindre, 600, sequence1[courant]);

			// différer l'allumage du bouton suivant dans 700ms
			courant++;
			if (courant < sequence1.length) {
				setTimeout(allumer, 700);
			} else {
				// quand la séquence est finie, on laisse le joueur jouer
				tourJoueur();
			}
		}
		function tourJoueur() {
			document.getElementById("phrase").innerHTML = "A vous !";
			courant = 0;

			// au bout de cinq secondes, gameover
			var to = setTimeout(gameover, 5000);

			// écoutons les clics
			for (var i = 0; i < boutons1.length; i++) {
				boutons1[i].addEventListener("click", verif);
			}

			function gameover() {
				// ne pas oublier de retirer les écouteurs de clic
				document.getElementById("phrase").innerHTML = "Temps écoulé";
				for (var i = 0; i < boutons1.length; i++) {
					boutons1[i].removeEventListener("click", verif);
				}
			}

			// comparer avec la séquence
			function verif() {
				// dans tous les cas, on retire le timeout qui lance le gameover à 5s
				clearTimeout(to);
				// this désigne le bouton cliqué
				if (this != sequence1[courant]) {
					// perdu
					sequence1 = [];
					courant = 0;
					document.getElementById("phrase").innerHTML = "Perdu !";
					// on retire les listeners
					for (var i = 0; i < boutons1.length; i++) {
						boutons1[i].removeEventListener("click", verif);
					}
				} else {
					// bon bouton
					courant++;
					if (courant < sequence1.length) {
						// s'il reste des boutons à cliquer, c'est tout ce qu'il y a à faire, les boutons continuent d'écouter, le tour du joueur continue
						to = setTimeout(gameover, 5000);
					} else {
						// round gagné
						// on ajoute un bouton à la séquence
						sequence1.push(boutons1[Math.floor(Math.random() * 6)]);
						courant = 0;
						setTimeout(allumer, 300);
						// on retire les listeners, c'est à l'ordinateur de montrer la séquence
						for (var i = 0; i < boutons1.length; i++) {
							boutons1[i].removeEventListener("click", verif);
						}
					}
				}
			}
		}
		allumer();
	}

	var boutons2 = [document.getElementById("vert2"), document.getElementById("rouge2"), document.getElementById("jaune2"), document.getElementById("bleu2"),document.getElementById("orange2"), document.getElementById("rose2"), document.getElementById("bleuVert2"), document.getElementById("marron2"), document.getElementById("violet2")];
		var sequence2 = [];

	for (var i = 0; i < 1; i++) {
		sequence2.push(boutons2[Math.floor(Math.random() * 1)]);
	}

	document.getElementById("action").addEventListener("click", play)
	document.getElementById("phrase").innerHTML = "Mémorisez la séquence";
	function play() {
		var courant = 0;
		function allumer() {
			document.getElementById("phrase").innerHTML = "Mémorisez la séquence";
			function eteindre(bouton_a_eteindre) {
				bouton_a_eteindre.classList.remove('actif');
			}

			// allumer le bouton
			sequence2[courant].classList.add('actif');

			// différer l'extinction de 600ms
			setTimeout(eteindre, 600, sequence2[courant]);

			// différer l'allumage du bouton suivant dans 700ms
			courant++;
			if (courant < sequence2.length) {
				setTimeout(allumer, 700);
			} else {
				// quand la séquence est finie, on laisse le joueur jouer
				tourJoueur();
			}
		}
		function tourJoueur() {
			document.getElementById("phrase").innerHTML = "A vous !";
			courant = 0;

			// au bout de cinq secondes, gameover
			var to = setTimeout(gameover, 5000);

			// écoutons les clics
			for (var i = 0; i < boutons2.length; i++) {
				boutons2[i].addEventListener("click", verif);
			}

			function gameover() {
				// ne pas oublier de retirer les écouteurs de clic
				document.getElementById("phrase").innerHTML = "Temps écoulé";
				for (var i = 0; i < boutons2.length; i++) {
					boutons2[i].removeEventListener("click", verif);
				}
			}

			// comparer avec la séquence
			function verif() {
				// dans tous les cas, on retire le timeout qui lance le gameover à 5s
				clearTimeout(to);
				// this désigne le bouton cliqué
				if (this != sequence2[courant]) {
					// perdu
					sequence2 = [];
					courant = 0;
					document.getElementById("phrase").innerHTML = "Perdu !";
					// on retire les listeners
					for (var i = 0; i < boutons2.length; i++) {
						boutons2[i].removeEventListener("click", verif);
					}
				} else {
					// bon bouton
					courant++;
					if (courant < sequence2.length) {
						// s'il reste des boutons à cliquer, c'est tout ce qu'il y a à faire, les boutons continuent d'écouter, le tour du joueur continue
						to = setTimeout(gameover, 5000);
					} else {
						// round gagné
						// on ajoute un bouton à la séquence
						sequence2.push(boutons2[Math.floor(Math.random() * 9)]);
						courant = 0;
						setTimeout(allumer, 300);
						// on retire les listeners, c'est à l'ordinateur de montrer la séquence
						for (var i = 0; i < boutons2.length; i++) {
							boutons2[i].removeEventListener("click", verif);
						}
					}
				}
			}
		}
		allumer();
	}
			
		document.getElementById("a").style.display = "inherit"; 
		document.getElementById("b").style.display = "none"; 
        document.getElementById("c").style.display = "none";
        document.getElementById("jouer").style.display = "inherit";
	    document.getElementById("lance").style.display = "none";
	    document.getElementById("action").style.display = "none";


        document.getElementById("facile").addEventListener("click",easy);
        document.getElementById("moyen").addEventListener("click",medium);
        document.getElementById("diff").addEventListener("click",hard);

        function easy () { 
			document.getElementById("a").style.display = "inherit"; 
	        document.getElementById("b").style.display = "none"; 
	        document.getElementById("c").style.display = "none";
	        document.getElementById("jouer").style.display = "inherit";
	    	document.getElementById("lance").style.display = "none";
	    	document.getElementById("action").style.display = "none";
        }

        function medium () { 
			document.getElementById("a").style.display = "none"; 
	        document.getElementById("b").style.display = "inherit";
	        document.getElementById("c").style.display = "none";
	        document.getElementById("jouer").style.display = "none";
		    document.getElementById("lance").style.display = "inherit";
		    document.getElementById("action").style.display = "none"; 
        }

        function hard () { 
			document.getElementById("a").style.display = "none"; 
	        document.getElementById("b").style.display = "none";
	        document.getElementById("c").style.display = "inherit";
	        document.getElementById("jouer").style.display = "none";
		    document.getElementById("lance").style.display = "none";
		    document.getElementById("action").style.display = "inherit";
        }

	</script>
</body>
</html>